# Review Request: http://bugzilla.redhat.com/438126

Name:           konq-plugins
Version:        4.1.2
Release:        1%{?dist}
Summary:        Additional plugins that interact with konqueror

Group:          Applications/Internet
License:        GPLv2+ and LGPLv2+
URL:            http://extragear.kde.org

# Creation of tarball from svn
#
# Kevin Kofler enhanced the create_tarball.rb script from upstream to also 
# support %{name}. This script also download the translations and docs
# To use it you will need the script itself and a config.ini in the same directory
# http://repo.calcforge.org/f9/kde4-tarballs/create_tarball.rb
# http://repo.calcforge.org/f9/kde4-tarballs/config.ini
# To create a new checkout use it with anonymous svn access
# ./create_tarball.rb -n
# At the prompt you have to enter "%{name}" (without brackets)

Source0: ftp://ftp.kde.org/pub/kde/stable/4.1.0/src/extragear/konq-plugins-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdebase4-devel >= 4.1
BuildRequires: cmake
BuildRequires: gettext
BuildRequires: giflib-devel
BuildRequires: pcre-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: kdebase4 >= 4.1

Requires(post): xdg-utils
Requires(postun): xdg-utils

%description
Some additional plugins that interact with konqueror

* akregator: Add feeds directly to akregator
* autorefresh: Refresh websites after a specifig period
* babelfish: Translate a website with babelfish
* dirfilter: Filter the current directory in many ways
* domtreeviewer: Displays the document object model in a box
* fsview: Graphical Disk Usage for inode/directory
* khtmlsettingsplugin: Enable/disable some HTML settings
* htmlvalidator: Validate webpages with w3c HTML validator
* minitools: Implement bookmarklets into konqueror
* uachanger: Change the user agent for websites

To use the akregator plugin the package kdepim is needed.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# locale
for locale in akregator_konqplugin autorefresh babelfish crashesplugin \
  desktop_extragear-base_konq-plugins dirfilterplugin domtreeviewer \
  fsview imgalleryplugin khtmlsettingsplugin konqsidebar_mediaplayer \
  konqsidebar_metabar mf_konqplugin minitoolsplugin rellinks searchbarplugin \
  uachangerplugin validatorsplugin webarchiver
do
  echo "find locale for $locale"
  %find_lang $locale || echo "ERROR: $locale"
  cat $locale.lang >> %{name}.lang
done


%clean
rm -rf %{buildroot}


%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :


%files -f %{name}.lang 
%defattr(-,root,root,-)
%doc konq-plugins/COPYING konq-plugins/COPYING.LIB konq-plugins/README
%{_kde4_docdir}/HTML/en/*
%{_kde4_bindir}/fsview
%{_datadir}/config/translaterc
%{_kde4_appsdir}/akregator/
%{_kde4_appsdir}/dolphinpart/kpartplugins/
%{_kde4_appsdir}/domtreeviewer/
%{_kde4_appsdir}/fsview/
%{_kde4_appsdir}/imagerotation/
%{_kde4_appsdir}/khtml/kpartplugins/*
%{_kde4_appsdir}/konqueror/icons/oxygen/*/actions/google.*
%{_kde4_appsdir}/konqueror/kpartplugins/*
%{_kde4_appsdir}/microformat/
%{_kde4_appsdir}/webkitpart/kpartplugins/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_libdir}/kde4/*
%lang(ca) %{_kde4_docdir}/HTML/ca/konq-plugins
%lang(de) %{_kde4_docdir}/HTML/de/konq-plugins
%lang(et) %{_kde4_docdir}/HTML/et/konq-plugins
%lang(fr) %{_kde4_docdir}/HTML/fr/konq-plugins
%lang(nl) %{_kde4_docdir}/HTML/nl/konq-plugins
%lang(pt) %{_kde4_docdir}/HTML/pt/konq-plugins
%lang(sv) %{_kde4_docdir}/HTML/sv/konq-plugins
%lang(uk) %{_kde4_docdir}/HTML/uk/konq-plugins

%changelog
* Sat Oct 04 2008 Than Ngo <than@redhat.com> 4.1.2-1
- 4.1.2

* Fri Aug 29 2008 Than Ngo <than@redhat.com> 4.1.1-1
- 4.1.1

* Thu Aug 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.1.0-2
- fix data files from akregator plugin not getting installed

* Wed Aug 06 2008 Rex Dieter <rdieter@fedoraproject.org> - 4.1.0-1
- 4.1.0
- drop searchbar-crash patch (no longer needed with Konqueror 4.1)

* Sun May 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.0.3-0.3.20080409svn
- fix searchbar plugin crash (#445144)

* Wed Apr 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.0.3-0.2.20080409svn
- rebuild because of corrupt PPC RPM causing signing failure (#442761)

* Wed Apr 09 2008 Sebastian Vahl <fedora@deadbabylon.de> - 4.0.3-0.1.20080409svn
- new svn checkout
- some minor spec cleanups
- License: GPLv2+ and LGPLv2+
- drop icons patch

* Tue Apr 01 2008 Sebastian Vahl <fedora@deadbabylon.de> - 4.0.2-0.2.20080303svn
- rebuild for NDEBUG and _kde4_libexecdir
- enhance %%description a bit

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 4.0.2-0.1.20080303svn
- new svn checkout (for KDE 4.0.2)
- update cmakelists patch
- remove icons patch (not needed anymore)
- add "svn" to release

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 4.0.1-0.2.20080214svn
- added konq-plugins-4.0.1-icons.patch
- add .po files to tarball

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 4.0.1-0.1.20080213svn
- initial version
